using System;
using System.Collections.Generic;
using System.Threading;
using System.Threading.Tasks;

namespace Knot.Contracts.Messaging.Abstractions;

public interface IUserStatsService
{
    Task<Dictionary<Guid, UserStats>> GetStatsForUsersAsync(List<Guid> userIds, CancellationToken cancellationToken = default);
}

public record UserStats(int MessageCount, long StorageSize);
